// Place all the styles related to the static_pages controller here.
// They will automatically be included in application.css.
// You can use Sass (SCSS) here: http://sass-lang.com/
// * {
//   margin: 0;
//   padding: 0;
// }

p a {
  color: #999999;
}

p a:hover, p a:focus {
  color: #222;
  text-decoration: none;
}

.header {
  // text-align: center;
  // font-size: 2em;
  // margin-bottom: 5px;
  // font-family: 'Raleway', sans-serif;
}

.title {
  margin-top: 20px;
  margin-bottom: 20px;
}

#usage-carousel {
  width: 65%;
}

#usage-carousel .carousel-item {
  transition-duration: 0.5s;
}

#usage-carousel .carousel-control-prev,
#usage-carousel .carousel-control-next,
#usage-carousel .carousel-indicators {
  filter: invert(50%);
}

.membro {
  width: 250px;
  min-width: 250px;
  height: 420px;
  margin: 15px 5px 0 5px;
  position: relative;
}

.antigo {
  height: 260px;
}

.membro-img-frame {
  box-sizing: border-box;
  margin-left: auto;
  margin-right: auto;
  height: 124px;
  width: 124px;
  border: 7px solid #fff;
  box-shadow: 0 0 5px 2px rgba(204, 204, 204, 0.5);
  z-index: 2;
  position: relative;
  display: block;
  border-radius: 30px;
  overflow: hidden;
}

.membro-img {
  width:110px;
  height: auto;
  position: absolute;
  left: 50%;
  top: 50%;
  -webkit-transform: translateY(-50%) translateX(-50%);
}

.membro-text {
  width: inherit;
  background-color: #fff;
  position: absolute;
  top: 55px;
  padding: 75px 1em 1em 1em;
  z-index: 1;
  text-align: center;
}

.membro-text::before {
  content: '';
  display: block;
  width: 100%;
  height: 8px;
  background-color: #ccc;
  position: absolute;
  top: 0;
  left: 0;
}

.fa-linkedin, .fa-twitter-square, .fa-git-square, .fa-globe, .fa-envelope-square {
  color: gray;
  padding-left: 2px;
}

.nome {
  font-family: 'Raleway', sans-serif;
  font-size: 1.25em;
}

.instituto {
  font-family: 'Raleway', sans-serif;
  font-weight: lighter;
  font-size: .9em;
  color: #8e8e8e;
}

.media {
  display: flex;
  flex-direction: row;
  justify-content: center;
}

.media i {
  margin: 0 5px 0 5px;
  line-height: 1em;
  vertical-align: 0;
  color: #8e8e8e;
}

.media i:hover {
  color: #666;
  cursor: pointer;
}

.email {
  display: none;
  font-size: .8em;
  vertical-align: -15%;
  margin: 0;
}

// faq

*{
  margin: 0;
  padding: 0;
}

body {
  margin-top: 50px;
}

.box {
  display: flex;
  flex-direction: column;
}

.type-block {
  background-color: #ddd;
  width: calc(100vw - (100vw - 100%));
  padding: .5em .5em 2em .5em;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  position: relative;
}

.title {
  text-align: center;
  font-family: 'Raleway', sans-serif;
  margin-bottom: 1em;
}

.type-row {
  display: flex;
  flex-direction: row;
  justify-content: center;
}

.type {
  height: 15vw;
  width: 15vw;
  max-height: 150px;
  max-width: 150px;
  border-radius: 50%;
  margin: 0 20px;
  position: relative;
  cursor: pointer;
}

.type::after {
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  position: absolute;
  font-size: 7.5vw;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.type-1 {
  background-color: #aaa;
}

.type-1::after {
  content: '\f015';
}

.type-2 {
  background-color: #bbb;
}

.type-2::after {
  content: '\f002';
}

.type-3 {
  background-color: #ccc;
}

.type-3::after {
  content: '\f0f8';
}

.overlay {
  height: 15vw;
  width: 15vw;
  max-height: 150px;
  max-width: 150px;
  border-radius: 50%;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  position: absolute;
  background-color: #2f2f2f;
  color: #fff;
  opacity: 0;
  z-index: 1;
  transition: opacity 250ms ease-in-out,
              transform 250ms ease-in-out;
}

.type:hover .overlay {
  opacity: 1;
  transform: translate(-45%, -47%);
}

.type:active .overlay {
  transform: translate(-50%, -50%);
}

.overlay p {
  text-align: center;
  width: 13vw;
  max-width: 150px;
  font-family: 'Raleway', sans-serif;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  position: relative;
  font-size: 1.8vw;
}

.triangle {
  position: absolute;
  bottom: -19px;
  width: 0;
  height: 0;
  border-left: 30px solid transparent;
  border-right: 30px solid transparent;
  border-top: 20px solid #ddd;
  transition: transform 300ms ease-in-out;
}

.viewer {
  width: calc(100vw - (100vw - 100%));
  overflow: hidden;
}

.question-container {
  display: flex;
  flex-direction: row;
  width: calc(3 * (100vw - (100vw - 100%)));
  overflow: hidden;
  transition:  transform 300ms ease-in-out
}

.question-block {
  display: flex;
  flex-direction: row;
  margin-top: 10px;
  width: calc(100vw - (100vw - 100%));
    align-items: flex-start;
}

.side-bar {
  height: 100%;
  border-right: solid 1px #acacac;
  flex: 0 0 200px;
  padding: 0 1em;
  position: -webkit-sticky;
  position: sticky;
  top: 4rem;
}

.category {
  margin: 5px 0;
  padding: 4px 7px;
  border-radius: 5px;
  cursor: pointer;
  transition: background-color 100ms ease-in-out;
}

.category:hover {
  background-color: #ddd;
}

.category:active {
  background-color: #ccc;
}

.content {
  padding: 0 2em;
  flex: 1 1 auto;
  display: flex;
  flex-direction: column;
}

.question-section {
  margin-bottom: 30px;
}

.anchor{
  display: block;
  height: 50px;
  margin-top: -50px;
  visibility: hidden;
}

.question-header {
  font-weight: bold;
  margin-top: 10px;
  font-family: 'Raleway', sans-serif;
  font-size: 1.5em;
}

.question {
  font-weight: bold;
  margin-top: 10px;
}

.answer {
  margin-bottom: 10px;
}

@media screen and (min-width: 1000px) {
  .type::after {
    font-size: 75px;
  }

  .overlay p {
    font-size: 22px;
  }
}
